This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

classification
Title: Add tuple tests to `functools.lru_cache`
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.11, Python 3.10, Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: lukasz.langa, miss-islington, rhettinger, sobolevn
Priority: normal Keywords: patch

Created on 2021-11-03 10:47 by sobolevn, last changed 2022-04-11 14:59 by admin. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 29339 merged sobolevn, 2021-11-03 11:08
PR 29498 merged rhettinger, 2021-11-09 18:55
PR 29509 merged miss-islington, 2021-11-09 23:01
Messages (3)
msg405601 - (view) Author: Nikita Sobolev (sobolevn) * (Python triager) Date: 2021-11-03 10:47
Context: https://bugs.python.org/issue45679

We need to add tests that `tuple` works as expected with `functools.lru_cache`, including `1` / `1.0` / `True` and `0` / `0.0` / `False` special cases.

PR: https://github.com/python/cpython/pull/29339
msg406063 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-11-09 23:01
New changeset 912a4ccc3a523e2990cc501393adfc661614c73a by Raymond Hettinger in branch 'main':
bpo-45701:  Improve documentation for *typed* parameter (GH-29498)
https://github.com/python/cpython/commit/912a4ccc3a523e2990cc501393adfc661614c73a
msg406549 - (view) Author: Łukasz Langa (lukasz.langa) * (Python committer) Date: 2021-11-18 16:12
New changeset 0df5d31ac7b32d3b948952c834783cd357fa3e22 by Miss Islington (bot) in branch '3.10':
bpo-45701:  Improve documentation for *typed* parameter (GH-29498) (GH-29509)
https://github.com/python/cpython/commit/0df5d31ac7b32d3b948952c834783cd357fa3e22
History
Date User Action Args
2022-04-11 14:59:52adminsetgithub: 89864
2021-11-18 16:12:16lukasz.langasetnosy: + lukasz.langa
messages: + msg406549
2021-11-09 23:01:39miss-islingtonsetnosy: + miss-islington

pull_requests: + pull_request27760
2021-11-09 23:01:34rhettingersetmessages: + msg406063
2021-11-09 18:55:27rhettingersetnosy: + rhettinger

pull_requests: + pull_request27747
2021-11-05 19:53:30rhettingersetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-11-03 11:08:04sobolevnsetkeywords: + patch
stage: patch review
pull_requests: + pull_request27641
2021-11-03 10:47:28sobolevncreate